import java.io.*;
import java.util.*;

/**
 * Created by IntelliJ IDEA.
 * User: m09dao
 * Date: 07.10.2009
 * Time: 18:12:33
 * To change this template use File | Settings | File Templates.
 */
public class Sort {
    public static void main(String[] args) throws Exception{
        Scanner in=new Scanner(new File("sort.in"));
        PrintWriter out=new PrintWriter(new File("sort.out"));
        int n=in.nextInt();
        int[] mas=new int[100];
        for(int i=0;i<n;i++)
               mas[i]=in.nextInt();

        for(int j=0;j<n-1;j++)
         for(int i=0;i<n-1;i++)
             if(mas[i]>mas[i+1])
             {
                 int c=mas[i];
                 mas[i]=mas[i+1];
                 mas[i+1]=c;
             }
        for(int j=0;j<n;j++)
          out.print(mas[j]+" ");
        in.close();
        out.close();
}
}
